<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('users', function (Blueprint $table) {
            if (!Schema::hasColumn('users', 'welcome_offer_referral_enabled')) {
                $table->boolean('welcome_offer_referral_enabled')->nullable()->after('typing_job_referral_enabled_at');
            }

            if (!Schema::hasColumn('users', 'welcome_offer_referral_enabled_at')) {
                $table->dateTime('welcome_offer_referral_enabled_at')->nullable()->after('welcome_offer_referral_enabled');
            }
        });
    }

    public function down(): void
    {
        Schema::table('users', function (Blueprint $table) {
            if (Schema::hasColumn('users', 'welcome_offer_referral_enabled_at')) {
                $table->dropColumn('welcome_offer_referral_enabled_at');
            }

            if (Schema::hasColumn('users', 'welcome_offer_referral_enabled')) {
                $table->dropColumn('welcome_offer_referral_enabled');
            }
        });
    }
};
